Actions

Should I launch a Joomla! 2.5 site or a 3.x site?

From Joomla! Documentation

Revision as of 08:59, 12 November 2013 by Tom Hutchison (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

For most new sites, the Joomla! 3 series is the preferred series and starting on it avoids a mini-migration from Joomla 2.5 later down the road. Starting on the Joomla 3 series for a new site, also provides you with longer backward compatible support (with one-click upgrades) than starting a new site on 2.5 right now, because support for 3.x ends in 2016.

When starting a new site, please plan ahead and check to make sure that any extensions (including templates) that you plan to use are Joomla 3 compatible. If not, then Joomla 2.5 still provides you a well supported option in the meantime.

Sites that are currently on Joomla 2.5 are encouraged to stay on 2.5, until Joomla 3.5’s release, unless they need to be moved over sooner to take advantage of Joomla 3’s new features. We’ve provided a one-click upgrade from Joomla 2.5 to any Joomla 3 version and you just have to make sure that all your extensions are compatible before upgrading.